#include <stdio.h>
#include "bldc.h"

static int
boolpwr (int x)
{
  if (x)
    return 1;
  return -1;
}

main()
{
  int i;
  int halls, old_halls = -1;
  int nls_needed = 0;
  int u = 0;
  int v = 0;
  int w = 0;
  int power = 0;
  int pos, old_pos = -999;
  int lpos, ang;
  int running = 0;
  int update_status = 1;

  bldc_init ();

  tty_puts("\033[1;1H\033[2JHello from Characterize 1!\n");

  /* Shut off the motor.  */
  PORTB.DR.BYTE = UL | VL | WL;


  printf("Looping...\n");

  while (1)
    {

      pos = encoder_val ();
      lpos = (int)encoder_lval ();
      ang = encoder_ang ();
      halls = PORTB.PORT.BYTE;

      if (halls != old_halls)
	{
	  nls_needed = 2;
	  old_halls = halls;
	  update_status = 1;
	}
      if (pos != old_pos)
	{
	  old_pos = pos;
	  update_status = 1;
	}

      if (update_status)
	{
	  update_status = 0;
	  if (nls_needed)
	    {
	      printf("\n");
	      nls_needed --;
	    }
	  printf("  pos = %5d, ang=%5d, lpos=%7d, sync=%d  DRIVE: %s%s%s   HALL: %s%s%s  \r",
		 pos, ang, lpos, encoder_synced(),
		 u ? "\033[31mU\033[0m" : "-",
		 v ? "\033[32mV\033[0m" : "-",
		 w ? "\033[34mW\033[0m" : "-",
		 (halls & U_HALL) ? "\033[31mU\033[0m" : "-",
		 (halls & V_HALL) ? "\033[32mV\033[0m" : "-",
		 (halls & W_HALL) ? "\033[34mW\033[0m" : "-");
	  fflush (stdout);
	}
    }

  exit (0);
}
