
/* LEDs are on CS5 */
#define LED (*(volatile unsigned char *)0x03000000)

/* IR on P4.2 (IRQ10-B), idle high */
#define IRBIT 0x04
#define IR_VAL (PORT[4] & IRBIT)

/* ADC inputs, range 0x0000 .. 0xffff */
#define AMBIENT	(ADDR[4])
#define THERM	(ADDR[3])

/* DAC outputs */
#define DAC_LEFT	DADR0
#define DAC_RIGHT	DADR1

/* SCI flow control */
#define RTS0	PORTb[3].b3
#define CTS0	DRb[2].b7
#define RTS1	PORTb[3].b1
#define CTS1	DRb[3].b2

/* microSD pins */
/* Port 0 */
#define	SD_DO_MASK	0x01
#define	SD_DI_MASK	0x02
#define	SD_CLK_MASK	0x04
#define	SD_POWER_MASK	0x80
/* Port 4 */
#define	SD_PRESENT_MASK	0x01
#define SD_CS_MASK	0x02

